Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.jaxrpc
Class LocalJaxRpcServiceFactory

    java.lang.Object
      org.springframework.remoting.jaxrpc.LocalJaxRpcServiceFactory

Direct Known Subclasses:
  JaxRpcPortClientInterceptor, LocalJaxRpcServiceFactoryBean

Deprecated. in favor of JAX-WS support in `org.springframework.remoting.jaxws`

    @Deprecated
    public class LocalJaxRpcServiceFactory

extends java.lang.Object

Factory for locally defined JAX-RPC `Service` references. Uses a JAX-RPC `ServiceFactory` underneath.

Serves as base class for `LocalJaxRpcServiceFactoryBean` as well as `JaxRpcPortClientInterceptor` and `JaxRpcPortProxyFactoryBean`.

Since:
  15.12.2003
Author:
  Juergen Hoeller
See Also:
  `ServiceFactory`, `Service`, `LocalJaxRpcServiceFactoryBean`, `JaxRpcPortClientInterceptor`, `JaxRpcPortProxyFactoryBean`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Deprecated. Logger available to subclasses

Constructor Summary
`LocalJaxRpcServiceFactory()` Deprecated.

Method Summary
`javax.xml.rpc.Service` | `createJaxRpcService()` Deprecated. Create a JAX-RPC Service according to the parameters of this factory.
`protected javax.xml.rpc.Service` | `createService(javax.xml.rpc.ServiceFactory serviceFactory)` Deprecated. Actually create the JAX-RPC Service instance, based on this factory's settings.
`protected javax.xml.rpc.ServiceFactory` | `createServiceFactory()` Deprecated. Create a JAX-RPC ServiceFactory, either of the specified class or the default.
`java.lang.Class` | `getJaxRpcServiceInterface()` Deprecated. Return the JAX-RPC service interface to use for looking up the service.
`java.util.Properties` | `getJaxRpcServiceProperties()` Deprecated. Return JAX-RPC service properties to be passed to the ServiceFactory, if any.
`java.lang.String` | `getNamespaceUri()` Deprecated. Return the namespace URI of the service.
`protected javax.xml.namespace.QName` | `getQName(java.lang.String name)` Deprecated. Return a QName for the given name, relative to the namespace URI of this factory, if given.
`javax.xml.rpc.ServiceFactory` | `getServiceFactory()` Deprecated. Return the specified ServiceFactory instance, if any.
`java.lang.Class` | `getServiceFactoryClass()` Deprecated. Return the ServiceFactory class to use, or `null` if default.
`java.lang.String` | `getServiceName()` Deprecated. Return the name of the service.
`JaxRpcServicePostProcessor[]` | `getServicePostProcessors()` Deprecated. Return the JaxRpcServicePostProcessors to be applied to JAX-RPC Service instances created by this factory.
`java.net.URL` | `getWsdlDocumentUrl()` Deprecated. Return the URL of the WSDL document that describes the service.
`protected void` | `postProcessJaxRpcService(javax.xml.rpc.Service service)` Deprecated. Post-process the given JAX-RPC Service.
`void` | `setJaxRpcServiceInterface(java.lang.Class jaxRpcServiceInterface)` Deprecated. Set the JAX-RPC service interface to use for looking up the service.
`void` | `setJaxRpcServiceProperties(java.util.Properties jaxRpcServiceProperties)` Deprecated. Set JAX-RPC service properties to be passed to the ServiceFactory, if any.
`void` | `setNamespaceUri(java.lang.String namespaceUri)` Deprecated. Set the namespace URI of the service.
`void` | `setServiceFactory(javax.xml.rpc.ServiceFactory serviceFactory)` Deprecated. Set the ServiceFactory instance to use.
`void` | `setServiceFactoryClass(java.lang.Class serviceFactoryClass)` Deprecated. Set the ServiceFactory class to use, for example "org.apache.axis.client.ServiceFactory".
`void` | `setServiceName(java.lang.String serviceName)` Deprecated. Set the name of the service to look up.
`void` | `setServicePostProcessors(JaxRpcServicePostProcessor[] servicePostProcessors)` Deprecated. Set the JaxRpcServicePostProcessors to be applied to JAX-RPC Service instances created by this factory.
`void` | `setWsdlDocumentUrl(java.net.URL wsdlDocumentUrl)` Deprecated. Set the URL of the WSDL document that describes the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Deprecated.
  Logger available to subclasses

Constructor Detail

### LocalJaxRpcServiceFactory

    public LocalJaxRpcServiceFactory()

  Deprecated.

Method Detail

### setServiceFactory

    public void setServiceFactory(javax.xml.rpc.ServiceFactory serviceFactory)

  Deprecated.
  Set the ServiceFactory instance to use.

  This is an alternative to the common "serviceFactoryClass" property, allowing for a pre-initialized ServiceFactory instance to be specified.

  See Also:
    `setServiceFactoryClass(java.lang.Class)`

### getServiceFactory

    public javax.xml.rpc.ServiceFactory getServiceFactory()

  Deprecated.
  Return the specified ServiceFactory instance, if any.

### setServiceFactoryClass

    public void setServiceFactoryClass(java.lang.Class serviceFactoryClass)

  Deprecated.
  Set the ServiceFactory class to use, for example "org.apache.axis.client.ServiceFactory".

  Does not need to be set if the JAX-RPC implementation has registered itself with the JAX-RPC system property "SERVICEFACTORY_PROPERTY".

  See Also:
    `ServiceFactory`

### getServiceFactoryClass

    public java.lang.Class getServiceFactoryClass()

  Deprecated.
  Return the ServiceFactory class to use, or `null` if default.

### setWsdlDocumentUrl

    public void setWsdlDocumentUrl(java.net.URL wsdlDocumentUrl)

  Deprecated.
  Set the URL of the WSDL document that describes the service.

### getWsdlDocumentUrl

    public java.net.URL getWsdlDocumentUrl()

  Deprecated.
  Return the URL of the WSDL document that describes the service.

### setNamespaceUri

    public void setNamespaceUri(java.lang.String namespaceUri)

  Deprecated.
  Set the namespace URI of the service. Corresponds to the WSDL "targetNamespace".

### getNamespaceUri

    public java.lang.String getNamespaceUri()

  Deprecated.
  Return the namespace URI of the service.

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Deprecated.
  Set the name of the service to look up. Corresponds to the "wsdl:service" name.

  See Also:
    `ServiceFactory.createService(javax.xml.namespace.QName)`, `ServiceFactory.createService(java.net.URL, javax.xml.namespace.QName)`, `ServiceFactory.loadService(java.net.URL, javax.xml.namespace.QName, java.util.Properties)`

### getServiceName

    public java.lang.String getServiceName()

  Deprecated.
  Return the name of the service.

### setJaxRpcServiceInterface

    public void setJaxRpcServiceInterface(java.lang.Class jaxRpcServiceInterface)

  Deprecated.
  Set the JAX-RPC service interface to use for looking up the service. If specified, this will override a "serviceName" setting.

  The specified interface will usually be a generated JAX-RPC service interface that directly corresponds to the WSDL service declaration. Note that this is not a port interface or the application-level service interface to be exposed by a port proxy!

  Only supported by JAX-RPC 1.1 providers.

  See Also:
    `setServiceName(java.lang.String)`, `ServiceFactory.loadService(Class)`, `ServiceFactory.loadService(java.net.URL, Class, java.util.Properties)`

### getJaxRpcServiceInterface

    public java.lang.Class getJaxRpcServiceInterface()

  Deprecated.
  Return the JAX-RPC service interface to use for looking up the service.

### setJaxRpcServiceProperties

    public void setJaxRpcServiceProperties(java.util.Properties jaxRpcServiceProperties)

  Deprecated.
  Set JAX-RPC service properties to be passed to the ServiceFactory, if any.

  Only supported by JAX-RPC 1.1 providers.

  See Also:
    `ServiceFactory.loadService(java.net.URL, javax.xml.namespace.QName, java.util.Properties)`, `ServiceFactory.loadService(java.net.URL, Class, java.util.Properties)`

### getJaxRpcServiceProperties

    public java.util.Properties getJaxRpcServiceProperties()

  Deprecated.
  Return JAX-RPC service properties to be passed to the ServiceFactory, if any.

### setServicePostProcessors

    public void setServicePostProcessors(JaxRpcServicePostProcessor[] servicePostProcessors)

  Deprecated.
  Set the JaxRpcServicePostProcessors to be applied to JAX-RPC Service instances created by this factory.

  Such post-processors can, for example, register custom type mappings. They are reusable across all pre-built subclasses of this factory: LocalJaxRpcServiceFactoryBean, JaxRpcPortClientInterceptor, JaxRpcPortProxyFactoryBean.

  See Also:
    `LocalJaxRpcServiceFactoryBean`, `JaxRpcPortClientInterceptor`, `JaxRpcPortProxyFactoryBean`

### getServicePostProcessors

    public JaxRpcServicePostProcessor[] getServicePostProcessors()

  Deprecated.
  Return the JaxRpcServicePostProcessors to be applied to JAX-RPC Service instances created by this factory.

### createJaxRpcService

    public javax.xml.rpc.Service createJaxRpcService()
                                              throws javax.xml.rpc.ServiceException

  Deprecated.
  Create a JAX-RPC Service according to the parameters of this factory.

  Throws:
    `javax.xml.rpc.ServiceException`
  See Also:
    `setServiceName(java.lang.String)`, `setWsdlDocumentUrl(java.net.URL)`, `postProcessJaxRpcService(javax.xml.rpc.Service)`

### getQName

    protected javax.xml.namespace.QName getQName(java.lang.String name)

  Deprecated.
  Return a QName for the given name, relative to the namespace URI of this factory, if given.

  See Also:
    `setNamespaceUri(java.lang.String)`

### createServiceFactory

    protected javax.xml.rpc.ServiceFactory createServiceFactory()
                                                         throws javax.xml.rpc.ServiceException

  Deprecated.
  Create a JAX-RPC ServiceFactory, either of the specified class or the default.

  Throws:
    `javax.xml.rpc.ServiceException` - if thrown by JAX-RPC methods
  See Also:
    `setServiceFactoryClass(java.lang.Class)`, `ServiceFactory.newInstance()`

### createService

    protected javax.xml.rpc.Service createService(javax.xml.rpc.ServiceFactory serviceFactory)
                                           throws javax.xml.rpc.ServiceException

  Deprecated.
  Actually create the JAX-RPC Service instance, based on this factory's settings.

  Parameters:
    `serviceFactory` - the JAX-RPC ServiceFactory to use
  Returns:
    the newly created JAX-RPC Service
  Throws:
    `javax.xml.rpc.ServiceException` - if thrown by JAX-RPC methods
  See Also:
    `ServiceFactory.createService(java.net.URL, javax.xml.namespace.QName)`, `ServiceFactory.loadService(java.lang.Class)`

### postProcessJaxRpcService

    protected void postProcessJaxRpcService(javax.xml.rpc.Service service)

  Deprecated.
  Post-process the given JAX-RPC Service. Called by `createJaxRpcService()`. Useful, for example, to register custom type mappings.

  The default implementation delegates to all registered `JaxRpcServicePostProcessors`. It is usually preferable to implement custom type mappings etc there rather than in a subclass of this factory, to allow for reuse of the post-processors.

  Parameters:
    `service` - the current JAX-RPC Service (can be cast to an implementation-specific class if necessary)
  See Also:
    `setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `Service.getTypeMappingRegistry()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD